Subject: bug#18626: 24.3.94; communication with subprocess is slow

From: Stephen Leake <[email-masked]>
Date: Sun, 05 Oct 2014 08:34:30 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Stephen Leake <[email-masked]>
>> 
>> (find-file "xdisp.c")
>> (pipe-torture "debug.exe" "4096")
>> 
>> delay               time
>> ------------------------
>> 20 * 1000 * 1000    4.450068
>> 10 * 1000 * 1000    2.443788
>>  0 * 1000 * 1000    hangs until C-g
>> 
>
> Did you try with 5 msec instead of zero?

No, that seemed obvious :).

> Anyway, for 24.4 all I can suggest is a variable to replace the fixed
> 20 msec value.  Doing anything more complicated than that would be too
> dangerous this late into the pretest.

Right, and I have a good work-around for it (use a large enough buffer
in the subprocess).

But I'd like to understand the delay on reading from subprocesses.

-- 
-- Stephe